nxt.addons

## Interface Contract<InvocationData,ReturnedData>

- All Known Implementing Classes:
    AbstractContract, AllForOnePayment, AllowedActions, ChildToParentExchange, ContractWithInnerInterface, DatabaseAccess, DistributedRandomNumberGenerator, ForbiddenActions, ForgingReward, GetRandomNumber, HelloWorld, HelloWorldForwarder, IgnisArdorRates, LeaseRenewal, LiberlandCitizenRegistry, NewAccountFaucet, PropertyBasedLottery, RandomPayment, SplitPayment

      public interface Contract<InvocationData,ReturnedData>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends TransactionResponse> boolean` | `isDuplicate(T myTransaction, java.util.List<T> existingUnconfirmedTransactions)`
    `default java.lang.String` | `minProductVersion()`
    `JO` | `processBlock(BlockContext context)`
    `ReturnedData` | `processInvocation(DelegatedContext context, InvocationData data)`
    `JO` | `processRequest(RequestContext context)`
    `JO` | `processTransaction(TransactionContext context)`
    `JO` | `processVoucher(VoucherContext context)`

- - ### Method Detail

    - #### processBlock

          JO processBlock(BlockContext context)

    - #### processTransaction

          JO processTransaction(TransactionContext context)

    - #### processRequest

          JO processRequest(RequestContext context)
                     throws NxtException

      Throws:
        `NxtException`

    - #### processVoucher

          JO processVoucher(VoucherContext context)

    - #### processInvocation

          ReturnedData processInvocation(DelegatedContext context,
                                         InvocationData data)

    - #### isDuplicate

          <T extends TransactionResponse> boolean isDuplicate(T myTransaction,
                                                              java.util.List<T> existingUnconfirmedTransactions)

    - #### minProductVersion

          default java.lang.String minProductVersion()